## Name

RUNB — BASIC09 run time packageBasic09 language system

## Synopsis

`runb` `i-code module`

## Description

BASIC09 run time package.

Once one or more BASIC09 procedures are debugged to the programmer's satisfaction, they can be “packed” or converted permanently to the bytecode form.

Packed BASIC09 procedures are in fact OS-9 modules, and the OS-9 shell recognizes them as I-code and passes them off to the virtual machine emulator RunB for execution. RunB avoids a great deal of the overhead of the typical interpreted BASICs of the day — not to mention that one can do integer calculations where appropriate rather than doing everything in floating point — so that BASIC09 programs run very quickly in comparison with interpreted BASICs.